Attribute VB_Name = "DevTesterUI"
'================ Developer Testing mechanics for UI testing =============
' Shared module version: 20210401
' Depends on: API_MockInteraction, API_UserInteraction, z_UIMessages
' Required reference:
Option Private Module
Option Explicit

Private g_MockUI As API_MockInteraction

Public Function Dev_MockUI() As API_MockInteraction
  If g_MockUI Is Nothing Then _
    Set g_MockUI = New API_MockInteraction
  Call SetUserInteraction(g_MockUI)
  Set Dev_MockUI = g_MockUI
End Function

Public Function Dev_ResetUI() As Boolean
  Dev_ResetUI = g_MockUI.ResetExpectations
  Call SetUserInteraction(New API_UserInteraction)
End Function
